scala.tools.nsc.transform.patmat.MatchCodeGen.OptimizedCodegen

# optimizedCodegen

#### object optimizedCodegen extends CommonCodegen

Linear Supertypes
OptimizedCodegen.CommonCodegen, OptimizedCodegen.AbsCodegen, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. optimizedCodegen
2. CommonCodegen
3. AbsCodegen
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class OptimizedCasegen extends OptimizedCodegen.CommonCodegen with OptimizedCodegen.Casegen

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def _asInstanceOf(b: Global.Symbol, tp: Global.Type): Global.Tree

   Definition Classes
     CommonCodegen → AbsCodegen

7. #### def _equals(checker: Global.Tree, binder: Global.Symbol): Global.Tree

   Definition Classes
     CommonCodegen → AbsCodegen

8. #### def _isInstanceOf(b: Global.Symbol, tp: Global.Type): Global.Tree

   Definition Classes
     CommonCodegen → AbsCodegen

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def drop(tgt: Global.Tree)(n: Int): Global.Tree

    Definition Classes
      CommonCodegen → AbsCodegen

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def fun(arg: Global.Symbol, body: Global.Tree): Global.Tree

    Definition Classes
      CommonCodegen

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### def index(tgt: Global.Tree)(i: Int): Global.Tree

    Definition Classes
      CommonCodegen → AbsCodegen

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def matcher(scrut: Global.Tree, scrutSym: Global.Symbol, restpe: Global.Type)(cases: List[(OptimizedCodegen.Casegen) ⇒ Global.Tree], matchFailGen: Option[(Global.Tree) ⇒ Global.Tree]): Global.Tree

    Inline runOrElse and get rid of Option allocations

    Inline runOrElse and get rid of Option allocations

    runOrElse(scrut: scrutTp)(matcher): resTp = matcher(scrut) getOrElse ${catchAll(`scrut`)} the matcher's optional result is encoded as a flag, keepGoing, where keepGoing == true encodes result.isEmpty, if keepGoing is false, the result Some(x) of the naive translation is encoded as matchRes == x

    Definition Classes
      optimizedCodegen → AbsCodegen

21. #### def mkZero(tp: Global.Type): Global.Tree

    Definition Classes
      CommonCodegen → AbsCodegen

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### def tupleSel(binder: Global.Symbol)(i: Int): Global.Tree

    Definition Classes
      CommonCodegen → AbsCodegen

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from OptimizedCodegen.CommonCodegen

### Inherited from OptimizedCodegen.AbsCodegen

### Inherited from AnyRef

### Inherited from Any

### Ungrouped